<!--Footer -->
<footer>
    <div class="footer-top" id="footer_main">
        <div class="container">

            <?php if (is_active_sidebar('sidebar_footer')): ?>
                <div class="row sidebar_footer_row">
                    <div class="col-md-12">
                        <?php dynamic_sidebar('sidebar_footer'); ?>
                    </div>
                </div>
            <?php else: ?>
                <div class="row default_footer">


                    <div class="col-md-3 col-sm-6">
                        <div class="title_footer">Marcas mais buscadas</div>
                        <ul>

                            <li>
                                <a href="<?= alt_get_url_estoque() ?>?marca=chevrolet">
                                    <i class="fas fa-angle-double-right"></i>
                                    Chevrolet
                                </a>
                            </li>
                            <li>
                                <a href="<?= alt_get_url_estoque() ?>?marca=volkswagen">
                                    <i class="fas fa-angle-double-right"></i>
                                    Volkswagen
                                </a>
                            </li>
                            <li>
                                <a href="<?= alt_get_url_estoque() ?>?marca=fiat">
                                    <i class="fas fa-angle-double-right"></i>
                                    FIAT
                                </a>
                            </li>
                            <li>
                                <a href="<?= alt_get_url_estoque() ?>?marca=ford">
                                    <i class="fas fa-angle-double-right"></i>
                                    Ford
                                </a>
                            </li>
                            <li>
                                <a href="<?= alt_get_url_estoque() ?>?marca=renault">
                                    <i class="fas fa-angle-double-right"></i>
                                    Renault
                                </a>
                            </li>
                        </ul>
                    </div>
                    <div class="col-md-3 col-sm-6">
                        <div class="title_footer">Links principais</div>
                        <ul>
                            <?php foreach (wp_get_nav_menu_items('principal') as $item): ?>
                                <?php if (empty($item->menu_item_parent) && filter_var($item->url, FILTER_VALIDATE_URL)): ?>
                                    <li>

                                        <a href="<?= $item->url; ?>">
                                            <i class="fas fa-angle-double-right"></i>
                                            <?= $item->title; ?>
                                        </a>
                                    </li>
                                <?php endif; ?>
                            <?php endforeach; ?>
                        </ul>
                    </div>
                    <div class="col-md-3 col-sm-6">
                        <div class="title_footer">Acesso rápido</div>
                        <ul>
                            <li>
                                <a href="<?php echo get_permalink(get_page_by_title('contato')); ?>">
                                    <i class="fas fa-angle-double-right"></i>
                                    Fale conosco
                                </a>
                            </li>
                            <li>
                                <a href="<?= alt_get_url_estoque() ?>">
                                    <i class="fas fa-angle-double-right"></i>
                                    Visitar o estoque completo
                                </a>
                            </li>
                            <li>
                                <a href="<?php echo get_permalink(get_page_by_title('contato')); ?>">
                                    <i class="fas fa-angle-double-right"></i>
                                    Tire suas dúvidas
                                </a>
                            </li>

                        </ul>
                    </div>
                    <div class="col-md-3 col-sm-6">
                        <div class="title_footer">Fale conosco</div>
                        <?php
                        $info = get_info_principal(true);
                        ?>
                        <ul>
                            <?php if (empty($info['endereco'])): ?>
                                Definir configurações de contato no painel administrativo
                            <?php endif; ?>
                            <?php if (!empty($info['endereco'])): ?>
                                <li>
                                    <a target="_blank"
                                       rel="noreferrer"
                                       href="http://maps.google.com/?q=<?= $info['endereco_completo'] ?>">
                                        <i class="fa fa-map-marked"></i> <?= $info['endereco'] ?>
                                        <?= $info['bairro'] ?> -<?= $info['cidade'] ?> - <?= $info['estado'] ?>
                                    </a>
                                </li>
                            <?php endif; ?>


                            <?php if (!empty($info['telefone'])): ?>
                                <li>
                                    <a href="tel:<?= $info['telefone'] ?>">
                                        <i class="fa fa-phone-square"></i> <?= alt_mascara('(##)####-#####', $info['telefone']) ?>
                                    </a>
                                </li>
                            <?php endif; ?>


                            <?php if (!empty($info['whatsapp'])): ?>
                                <li>
                                    <a href="<?= $info['url_whatsapp'] ?>">
                                        <i class="fab fa-whatsapp"></i> <?= $info['whatsapp'] ?>
                                    </a>
                                </li>
                            <?php endif; ?>

                            <?php if (!empty($info['email'])): ?>
                                <li>
                                    <a href="mailto:<?= $info['email'] ?>">
                                        <i class="fa fa-envelope"></i> <?= $info['email'] ?>
                                    </a>
                                </li>
                            <?php endif; ?>
                        </ul>

                    </div>
                </div>
            <?php endif ?>


        </div>
    </div>
    <div class="footer-bottom">
        <div class="container">
            <div class="row">
                <div class="col-md-6 col-md-push-6 text-right">

                    <div class="footer_widget">
                        <p>Nossas mídias sociais:</p>
                        <?php if (mostrar_icones_sociais_footer()): ?>

                            <ul>
                                <?php if (!empty(get_social_links('facebook'))): ?>
                                    <li>
                                        <a rel="noreferrer" target="_blank" href="<?= get_social_links('facebook') ?>">
                                            <i class="fab fa-facebook-square"></i></i>
                                        </a>
                                    </li>
                                <?php endif; ?>

                                <?php if (!empty(get_social_links('twitter'))): ?>
                                    <li>
                                        <a rel="noreferrer" target="_blank" href="<?= get_social_links('twitter') ?>">
                                            <i class="fab fa-twitter-square"></i>
                                        </a>
                                    </li>
                                <?php endif; ?>

                                <?php if (!empty(get_social_links('linkedin'))): ?>
                                    <li>
                                        <a rel="noreferrer" target="_blank" href="<?= get_social_links('linkedin') ?>">
                                            <i class="fab fa-linkedin"></i>
                                        </a>
                                    </li>
                                <?php endif; ?>


                                <?php if (!empty(get_social_links('google'))): ?>
                                    <li>
                                        <a rel="noreferrer" target="_blank" href="<?= get_social_links('google') ?>">
                                            <i class="fab fa-google-plus-square"></i>
                                        </a>
                                    </li>
                                <?php endif; ?>

                                <?php if (!empty(get_social_links('instagram'))): ?>
                                    <li>
                                        <a rel="noreferrer" target="_blank" href="<?= get_social_links('instagram') ?>">
                                            <i class="fab fa-instagram"></i>
                                        </a>
                                    </li>
                                <?php endif; ?>


                                <?php if (!empty(get_social_links('youtube'))): ?>
                                    <li>
                                        <a rel="noreferrer" target="_blank" href="<?= get_social_links('youtube') ?>">
                                            <i class="fab fa-youtube-square"></i></i>
                                        </a>
                                    </li>
                                <?php endif; ?>
                            </ul>


                        <?php endif; ?>

                    </div>
                </div>
                <div class="col-md-6 col-md-pull-6">
                    <p class="copy-right">
                        <a href="https://www.altimus.com.br" rel="noreferrer" target="_blank">
                            <img src="https://cdn-wp-altimus.s3-sa-east-1.amazonaws.com/imagens/logo-horizontal-color.png"
                                 alt="logo da empresa Altimus, responsável pelo desenvolvimento do site"/>
                        </a>
                    </p>
                </div>
            </div>
        </div>
    </div>
</footer>
<!-- /Footer-->

<!--Back to top-->
<div id="back-top" class="back-top"><a href="#top" aria-label="Voltar ao topo da página"><i class="fa fa-angle-up" aria-hidden="true"></i> </a></div>
<!--/Back to top-->

<?php wp_footer(); ?>

<script>
    document.documentElement.style.setProperty('--primary_color', '<?php echo get_cor('cor_primaria');?>');
    document.documentElement.style.setProperty('--secundary_color', '<?php echo get_cor('cor_secundaria');?>');
</script>


</div><!--ID page-->
</body>
</html>
