<?php


require 'inc/vendor/wp-bootstrap-navwalker.php';
require 'inc/elementos.php';
require 'inc/util.php';
require 'inc/menu/setup.php';
require 'inc/sidebar/sidebar.php';
require 'inc/widgets/widgets.php';
require 'inc/setup/general.php';

/**
 * Descobrir selecionar o tipo de cabeçalho
 */
if (!function_exists('alt_theme_get_header')) {
    function alt_theme_get_header()
    {
        $data = get_modelo_cabecalho() ?? null;

        if (empty($data) || $data == '0') {
            return 'default';
        }

        return $data;
    }
}


if (!function_exists('alt_check_plugin_ativo')) {
    function alt_check_plugin_ativo()
    {

        include_once(ABSPATH . 'wp-admin/includes/plugin.php');
        if (!is_plugin_active('altimus/altimus.php')) {
            echo "<div style='background-color: #003C66;color:#fff;padding: 20px;font-size: 24px;text-align: center;'>Para utilizar esse tema é necessário ter o plugin <strong>Altimus</strong> ativo e configurado</div>";
            die;
        };

    }
}

/**
 * Configurações iniciais do Thema Altimsu 1
 */
if (!function_exists('alt_load_menus')) {

    function alt_load_menus()
    {
        // Registrando nossos menus
        register_nav_menus(
            array(
                'my_main_menu' => 'Main Menu',
                'footer_menu' => 'Footer Menu'
            )
        );
    }

    add_action('after_setup_theme', 'alt_load_menus', 0);


}


if (!function_exists('alt_load_css_and_js')) {

    function alt_load_css_and_js()
    {
        $versao = '1';

        $cdn_altimus = 'https://cdn-wp-altimus.s3.amazonaws.com/tema1';
       $cdn_altimus = get_template_directory_uri();

        wp_enqueue_style('boostrap-css', 'https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css', null, $versao, 'all');
        wp_enqueue_style('style-css', $cdn_altimus . '/assets/css/style.min.css', 'boostrap-css', $versao, 'all');
        wp_enqueue_style('slick-css', $cdn_altimus . '/assets/css/slick.css', null, $versao, 'all');
        wp_enqueue_style('bootstrap-slider-css', $cdn_altimus . '/assets/css/bootstrap-slider.min.css', null, $versao, 'all');
        wp_enqueue_style('fontawesome-css', 'https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.1/css/all.min.css', array(), $versao, 'all');
        //wp_enqueue_style('fontawesome-css', $cdn_altimus .'/assets/css/all.min.css', array(), $versao, 'all');


        /**
         * Colors
         */
        $paleta = get_paleta_de_cores();
        //wp_enqueue_style('color-style', 'https://cdn-wp-altimus.s3.amazonaws.com/tema1/assets/colors/red.css', 'style-css', $versao, 'all');
        wp_enqueue_style('color-style', $cdn_altimus . '/assets/colors/' . $paleta . '.css', 'style-css', $versao, 'all');

        wp_enqueue_style('icomoon', $cdn_altimus . '/assets/icomoon/style.css', 'style-css', $versao, 'all');
        wp_enqueue_style('font-google', 'https://fonts.googleapis.com/css?family=Lato:300,400,700,900&display=swap', null, $versao, 'all');
        wp_enqueue_style('altimus-css', $cdn_altimus . '/assets/css/altimus.css', ['style-css', 'color-style'], $versao, 'all');

        //wp_enqueue_script('shinvalidat', 'https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js', null, $versao, false);
        //wp_enqueue_script('shinvalidat2', 'https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js', null, $versao, false);


        if (wp_is_mobile()) {
            wp_enqueue_style('altimus-responsive-css', $cdn_altimus . '/assets/css/altimus-responsive.css', array(), $versao, 'all');
        }


        wp_enqueue_script('jquery', $cdn_altimus . '/assets/js/jquery.min.js', '', '', true);
        wp_enqueue_script('boostrap', $cdn_altimus . '/assets/js/bootstrap.min.js', ['jquery'], '', true);
        wp_enqueue_script('interface', $cdn_altimus . '/assets/js/interface.js', ['boostrap'], '', true);
        wp_enqueue_script('boostrap-slider', $cdn_altimus . '/assets/js/bootstrap-slider.min.js', ['interface'], '', true);
        wp_enqueue_script('slick', $cdn_altimus . '/assets/js/slick.min.js', ['interface'], '', true);
        wp_enqueue_script('owl.carousel', $cdn_altimus . '/assets/js/owl.carousel.min.js', ['interface'], '', true);
        wp_enqueue_style('owl-css', $cdn_altimus . '/assets/css/owl.carousel.css', null, $versao, 'all');

        wp_enqueue_style('owl-css', 'https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/assets/owl.carousel.css', null, $versao, 'all');
        wp_enqueue_style('owl-theme-css', 'https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/assets/owl.theme.default.css', null, $versao, 'all');
        wp_enqueue_style('owl-transitions-css', $cdn_altimus . '/assets/css/owl.transitions.css', 'owl-css', $versao, 'all');
        wp_enqueue_script('owl.carousel', 'https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/owl.carousel.min.js', ['interface'], '', true);




    }

    add_action('wp_enqueue_scripts', 'alt_load_css_and_js', 0);

}


if (!function_exists('alt_load_config')) {
    function alt_load_config()
    {

        add_theme_support('title-tag');



    }

    add_action('after_setup_theme', 'alt_load_config', 0);

}


/**
 * VERIFICAR SE PRECISA DE ATUALIZAÇÃO
 */
require 'plugin-update-checker/plugin-update-checker.php';
$myUpdateChecker = Puc_v4_Factory::buildUpdateChecker(
    'http://cdn-wordpress.altimus.com.br/atualizacoes/tema-altimus1/theme.json',
    __FILE__, //Full path to the main plugin file or functions.php.
    'altimus'
);
