<?php


if (!function_exists('setup_theme')) {
    add_action('cmb2_admin_init', 'setup_theme');

    function setup_theme()
    {


        $cmb_options = new_cmb2_box(array(
            'id' => 'alt_setup',
            'title' => 'Configurações do tema Altimus',
            'object_types' => array('options-page'),
            'option_key' => 'alt_group_setup', // The option key and admin menu page slug.
            'icon_url' => 'dashicons-palmtree', // Menu icon. Only applicable if 'parent_slug' is left empty.

        ));


        $cmb_options->add_field(array(
            'before_row' => '<br/><h2>Configurações do TEMA</h2>',
            'name' => 'Modelo de cabeçalho',
            'desc' => '',
            'id' => 'modelo_cabecalho',
            'type' => 'select',
            'default' => '0',
            'options' => array(
                '0' => 'Modelo 1 (Padrão)',
                'modelo2' => 'Modelo 2',
                'modelo3' => 'Modelo 3',
            ),
        ));

        $cmb_options->add_field(array(

            'name' => 'Formato de visualização',
            'desc' => '',
            'id' => 'formato_visualizacao',
            'type' => 'select',
            'default' => 'box',
            'options' => array(
                'wide' => 'Wide',
                'box' => 'Box',
            ),
        ));

        $cmb_options->add_field(array(

            'name' => 'Exibir destaques da Semana',
            'desc' => 'Exibir na página Home os veículos destaques da Semana',
            'id' => 'destaques_da_semana',
            'type' => 'select',
            'default' => 'nao',
            'options' => array(
                'sim' => 'Sim',
                'nao' => 'Não',
            ),
        ));


        $cmb_options->add_field(array(
            'before_row' => '<br/><h2>Sessão - (Welcome)</h2>',
            'name' => 'Exibir página welcome',
            'desc' => '',
            'id' => 'mostrar_welcome',
            'type' => 'select',
            'default' => 'nao',
            'options' => array(
                'sim' => 'Sim',
                'nao' => 'Não',
            ),
        ));

        $cmb_options->add_field(array(
            'name' => 'Selecione o layout',
            'desc' => '',
            'id' => 'sobre_layout',
            'type' => 'select',
            'default' => 'default',
            'options' => array(
                'default' => 'Não usar layout',
                'modelo1' => 'Modelo 1',
                'modelo2' => 'Modelo 2',
            ),
        ));


        $content_welcome = "<div class=\"section-header text-center\">
<h2>Welcome to CarForYou</h2>
There are many variations of passages of Lorem Ipsum available, but the majority have suffered
alteration in some form, by injected humour, or randomised words which don't look even slightly
believable. If you are going to use a passage of Lorem Ipsum, you need to be sure there isn't
anything embarrassing hidden in the middle of text.

</div>";


        $cmb_options->add_field(array(
            'name' => 'Conteúdo da página',
            'desc' => '',
            'id' => 'content_welcome',
            'type' => 'wysiwyg',
            'default' => $content_welcome,
            'options' => array(),
        ));


        $cmb_options->add_field(array(
            'before_row' => '<br/><h2>Sessão - Sobre (Home)</h2>',
            'name' => 'Exibir página sobre',
            'desc' => '',
            'id' => 'exibir_sobre',
            'type' => 'select',
            'default' => 'nao',
            'options' => array(
                'sim' => 'Sim',
                'nao' => 'Não',
            ),
        ));

        $content_sobre = "<div class=\"section-header text-center\">
<h2>About to Client</h2>
There are many variations of passages of Lorem Ipsum available, but the majority have suffered
alteration in some form, by injected humour, or randomised words which don't look even slightly
believable. If you are going to use a passage of Lorem Ipsum, you need to be sure there isn't
anything embarrassing hidden in the middle of text.

</div>";;


        $cmb_options->add_field(array(
            'name' => 'Conteúdo do setor sobre',
            'desc' => '',
            'id' => 'content_sobre',
            'type' => 'wysiwyg',
            'default' => $content_sobre,
            'options' => array(),
        ));


        $cmb_options->add_field(array(
            'before_row' => '<br/><h2>Sessão - MAPA (Home)</h2>',
            'name' => 'Exibir mapa (Página inicial)',
            'desc' => '',
            'id' => 'exibir_mapa',
            'type' => 'select',
            'default' => 'nao',
            'options' => array(
                'sim' => 'Sim',
                'nao' => 'Não',
            ),
        ));

        $cmb_options->add_field(array(
            'name' => 'Mapa de localização <br/>(página inicial)',
            'desc' => '',
            'id' => 'content_mapa',
            'type' => 'wysiwyg',
            'default' => '',
            'options' => array(),
        ));
    }
}


if (!function_exists('get_exibir_destaques_da_semana')) {
    function get_exibir_destaques_da_semana()
    {
        $dados = get_option('alt_group_setup');

        if (!isset($dados['destaques_da_semana'])) {
            return true;
        }
        return $dados['destaques_da_semana'] == 'sim' ? true : false;
    }
}

if (!function_exists('get_modelo_cabecalho')) {
    function get_modelo_cabecalho()
    {
        $dados = get_option('alt_group_setup');
        return $dados['modelo_cabecalho'];
    }
}

if (!function_exists('get_carregar_mapa')) {
    function get_carregar_mapa()
    {
        $dados = get_option('alt_group_setup');
        return $dados['content_mapa'];
    }
}

if (!function_exists('get_exibir_mapaget_exibir_mapa')) {
    function get_exibir_mapaget_exibir_mapa()
    {
        $dados = get_option('alt_group_setup');
        return $dados['exibir_mapa'] == 'sim' ? true : false;
    }
}

if (!function_exists('get_content_sobre')) {
    function get_content_sobre()
    {
        $dados = get_option('alt_group_setup');
        return html_entity_decode($dados['content_sobre']);
    }
}

if (!function_exists('get_mostrar_sobre')) {
    function get_mostrar_sobre()
    {
        $dados = get_option('alt_group_setup');
        return $dados['exibir_sobre'] == 'sim' ? true : false;
    }

}

if (!function_exists('get_mostrar_welcome')) {
    function get_mostrar_welcome()
    {
        $dados = get_option('alt_group_setup');
        return $dados['mostrar_welcome'] == 'sim' ? true : false;
    }
}

if (!function_exists('get_content_welcome')) {
    function get_content_welcome()
    {
        $dados = get_option('alt_group_setup');
        return $dados['content_welcome'];
    }
}


if (!function_exists('get_layout_sobre')) {
    function get_layout_sobre()
    {
        $dados = get_option('alt_group_setup');


        if (!empty($dados['sobre_layout'])) {
            return $dados['sobre_layout'];
        }

        return 'default';
    }
}

