<?php

class alt_compartilhar extends WP_Widget
{

    function __construct()
    {
        parent::__construct(

        // Base ID of your widget
            'alt_compartilhar',

            // Widget name will appear in UI
            'Altimus - Compartilhar - Modelo A',

            // Widget description
            array(
                'description' => 'Compartilhar através das mídias sociais',
            )
        );


    }


    public function widget($args, $instance)
    {
        global $post;

        $id = $post->ID;
        $titulo = $post->post_title;



        $title =  !empty($instance['title']) ? $instance['title']: 'Compartilhar';
        $imagem = get_the_post_thumbnail_url($id, 'full');
        $url_img = 'https://via.placeholder.com/300x300?text=SemFoto';
        if (isset($imagem)) {
            $url_img = $imagem;
        }




        $valor = get_preco_veiculo($id);
        $url_veiculo = get_permalink($id);


        $mensagem = "Veja esse veículo que acabei de encontrar. \n" . $url_veiculo;

        $url_facebook = "http://www.facebook.com/share.php?u={$url_veiculo}&t={$titulo}";
        $url_twitter = "https://twitter.com/intent/tweet?text={$mensagem}";


        $url_google = "https://plus.google.com/share?url={$url_veiculo}";
        $url_whatsapp = "https://api.whatsapp.com/send?text={$mensagem}";
        $url_linkedin = "https://www.linkedin.com/shareArticle?mini=true&url={$url_veiculo}&source=LinkedIn"
        ?>
        <style>
            .linkedin-btn, .whatsapp-btn {

                font-size: 17px;
                font-weight: 400;
                margin-bottom: 10px;
                padding: 10px 22px;
                text-align: left;
            }
            .btn.whatsapp-btn i,.btn.linkedin-btn i{
                font-size: 26px;
                margin-right: 10px;
            }
            .whatsapp-btn,.whatsapp-btn:hover {
                background-color: #3d8e38;
            }

            .linkedin-btn,.linkedin-btn:hover  {
                background-color: #0073B1;
            }
        </style>

        <div class="widget_text sidebar_widget widget_compartilhar">
            <!-- Button trigger modal -->
            <button type="button" class="btn btn-block" data-toggle="modal" data-target="#modelId">
                <i class="fa fa-share-alt"></i> <?=$title?>
            </button>

        </div>

        <style>
            .modal_compartilhar .modal-content {
                max-height: 100% !important;
                overflow: initial !important;
            }

            .modal_compartilhar .featured-car-content {
                padding: 0 0 20px 0px;
                overflow: hidden;
            }
        </style>


        <!-- Modal -->
        <div class="modal fade modal_compartilhar" id="modelId" tabindex="-1" role="dialog"
             aria-labelledby="modelTitleId"
             aria-hidden="true">
            <div class="modal-dialog " role="document">
                <div class="modal-content">

                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                                    aria-hidden="true">×</span></button>
                        <h3 class="modal-title"><i class="fa fa-share-alt"></i> <?=$title?></h3>
                    </div>
                    <div class="modal-body">
                        <div class="row">
                            <div class="login_wrap">
                                <div class="col-md-6 col-sm-12">
                                    <img src="<?= $url_img ?>" class="img-responsive">

                                    <div class="modal_titulo p-1">
                                        <h4><?= $titulo ?></h4>
                                    </div>
                                    <div class="modal_valor">
                                        <h4><?= $valor ?></h4>

                                    </div>
                                    <div class="modal_acessorios featured-car-content">
                                        <?= alt_lista_caracteristicas($id) ?>
                                    </div>
                                </div>
                                <div class="col-md-6 col-sm-12">
                                    <a
                                            href="<?= $url_facebook ?>"
                                            class="btn btn-block facebook-btn"
                                            rel="noreferrer"
                                            rel="nofollow" onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=600,width=600');return false;"
                                    >
                                        <i class="fab fa-facebook-square" aria-hidden="true"></i>
                                        Compartilhar pelo Facebook
                                    </a>

                                    <a
                                            href="<?= $url_twitter ?>"
                                            class="btn btn-block twitter-btn"
                                            rel="noreferrer"
                                            rel="nofollow" onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=600,width=600');return false;"
                                    >

                                        <i class="fab fa-twitter-square" aria-hidden="true">

                                        </i> Compartilhar pelo Twitter
                                    </a>
                                    <a
                                            href="<?= $url_whatsapp ?>"
                                            class="btn btn-block whatsapp-btn"
                                            rel="noreferrer"
                                            rel="nofollow" onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=600,width=600');return false;"

                                    >
                                        <i class="fab fa-whatsapp"
                                           aria-hidden="true"></i>
                                        Compartilhar pelo Whatsapp
                                    </a>

                                    <a
                                            href="<?= $url_linkedin ?>"
                                            class="btn btn-block linkedin-btn"
                                            rel="noreferrer"
                                            rel="nofollow" onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=600,width=600');return false;"

                                    >
                                        <i class="fab fa-linkedin"
                                           aria-hidden="true"></i>
                                        Compartilhar pelo Linkedin
                                    </a>


                                </div>
                                <div class="mid_divider"></div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer text-center">

                    </div>

                </div>
            </div>
        </div>


        <?php
    }

    public function form($instance)
    {
        $title = isset($instance['title']) ? esc_attr($instance['title']) : '';

        ?>
        <p>
            <label for="<?php echo $this->get_field_id('title'); ?>">
                Nome do botão
            </label>
            <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>"
                   name="<?php echo $this->get_field_name('title'); ?>"
                   value="<?php echo esc_attr($title); ?>"
                   type="text"
            />
        </p>


        <?php
    }


    public
    function update($new_instance, $old_instance)
    {
        $instance = $old_instance;
        $instance['title'] = strip_tags($new_instance['title']);
        $instance['filial_id'] = strip_tags($new_instance['filial_id']);
        $instance['modelo_id'] = strip_tags($new_instance['modelo_id']);
        return $instance;

    }


}
