(function ($) {
    'use strict';
    $(function (e) {


        $("#preco_lista").slider({});


        const $value = $('#preco_lista');
        $value.on('input change', () => {

            let number = $value.val().split(',')
            let min_value = number[0];
            let max_value = number[1];


            $('#form_min_price').val(min_value);
            $('#form_max_price').val(max_value);


            $('#label_min_price_form').text('R$ ' + min_value.split(/(?=(?:...)*$)/).join('.'));
            $('#label_max_price_form').text('R$ ' + max_value.split(/(?=(?:...)*$)/).join('.'));
        });


        //Selecionar apenas modelos da marca
        $('#form_marca').on('change', function (v) {

            carregarModelos();


        });
        $('#form_modelo').on('change', function (v) {
            atualizarAno();

        });


        function atualizarAno() {
            let marca = $('#form_marca').val();
            let modelo = $('#form_modelo').val();

            let url_base = '/wp-admin/admin-ajax.php?action=get_modelos_rest';
            let url = url_base.concat('&marca=' + marca).concat('&modelo=' + modelo);

            //Atualizar anos
            $('#form_ano').empty();
            $('#form_ano').append(new Option('Carregando', ''));


            $.get(url, function (response) {
                $('#form_ano').append(new Option('Ano', ''));
                $.each(response.anos, function (v, t) {
                    let value = v;
                    let name = t;
                    $('#form_ano').append(new Option(name, value));

                });
            }).done(function () {
                $("#form_ano option:contains('Carregando')").remove();
            });
        }

        /**
         * Carregar marcas
         */
        function carregarMarcas() {
            let marca = $('#form_marca').val();

            let url_base = '/wp-admin/admin-ajax.php?action=get_marcas_rest';

            $('#form_marca').empty();
            $('#form_marca').append(new Option('Carregando', ''));


            $.get(url_base, function (response) {
                $('#form_marca').append(new Option('Marca', ''));
                $.each(response.posts, function (v, t) {
                    let value = t.slug;
                    let name = t.name;
                    $('#form_marca').append(new Option(name, value));

                });

                console.log(response);

            }).done(function () {
                $("#form_marca option:contains('Carregando')").remove();
                //$("#form_marca option[value='carregando']").remove();
            });
        }

        /**
         * Carregar modelos
         */
        function carregarModelos() {
            let marca = $('#form_marca').val();

            let url_base = '/wp-admin/admin-ajax.php?action=get_modelos_rest';
            let url = url_base.concat('&marca=' + marca);

            $('#form_modelo').empty();
            $('#form_modelo').append(new Option('Carregando', ''));


            $.get(url, function (response) {
                $('#form_modelo').append(new Option('Modelo', ''));
                $.each(response.posts, function (v, t) {
                    let value = t.slug;
                    let name = t.name;
                    $('#form_modelo').append(new Option(name, value));

                });
            }).done(function () {
                $("#form_modelo option:contains('Carregando')").remove();
            });


            $('#form_ano').empty();
            $('#form_ano').append(new Option('Carregando', ''));


            $.get(url, function (response) {
                $('#form_ano').append(new Option('Ano', ''));
                $.each(response.anos, function (v, t) {
                    let value = v;
                    let name = t;
                    $('#form_ano').append(new Option(name, value));

                });
            }).done(function () {
                $("#form_ano option:contains('Carregando')").remove();
            });


        }


        $('#form_busca').submit(function () {
            $('select').each(function () {
                if ($(this).val() == '') {
                    $(this).attr('disabled', 'disabled');
                }
            });
            $(this)
                .find('input[name]')
                .filter(function () {
                    return !this.value;
                })
                .prop('name', '');
        });


        carregarMarcas();


        var btnFiltroMobile = $('#filtroMobileBtn');
        btnFiltroMobile.hide();
        $(window).scroll(function () {

            var rec = document.getElementById('footer_main').offsetTop;


            if ($(this).scrollTop() > 100) {
                btnFiltroMobile.fadeIn();
            } else {
                btnFiltroMobile.fadeOut();
            }


        });

    });


})(jQuery);
