<?php
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}


class alt_formulario extends WP_Widget
{

    function __construct()
    {
        parent::__construct(

        // Base ID of your widget
            'alt_formulario',

            // Widget name will appear in UI
            'Altimus - Formulários de contato',

            // Widget description
            array(
                'description' => 'Formulários cadastrados',
            )
        );


    }

    public function widget($args, $instance)
    {

        $titulo = isset($instance['title']) ? esc_attr($instance['title']) : '';
        $formulario = isset($instance['formulario']) ? esc_attr($instance['formulario']) : '';
        $layout = isset($instance['layout']) ? esc_attr($instance['layout']) : '';
        $icone = isset($instance['icone']) ? esc_attr($instance['icone']) : 'fa fa-envelope';


        if ($layout == 'row') {
            include 'content-row.php';
        }
        if ($layout == 'sidebar') {
            include 'content-sidebar.php';
        }



    }

    public function form($instance)
    {

        $title = isset($instance['title']) ? esc_attr($instance['title']) : '';
        $formulario_id = isset($instance['formulario']) ? esc_attr($instance['formulario']) : '';
        $layout = isset($instance['layout']) ? esc_attr($instance['layout']) : '';
        $icone = isset($instance['icone']) ? esc_attr($instance['icone']) : 'fa fa-envelope';
        $arrFormularios = $this->buscarFormularios();
        ?>

        <p>
            <label for="<?php echo $this->get_field_id('icone'); ?>">Icone</label>
            <input class="widefat" id="<?php echo $this->get_field_id('icone'); ?>"
                   name="<?php echo $this->get_field_name('icone'); ?>" type="text"
                   value="<?php echo esc_attr($icone); ?>"/>
        </p>

        <p>
            <label for="<?php echo $this->get_field_id('title'); ?>">Titulo principal</label>
            <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>"
                   name="<?php echo $this->get_field_name('title'); ?>" type="text"
                   value="<?php echo esc_attr($title); ?>"/>
        </p>

        <p>
            <label for="<?php echo $this->get_field_id('formulario'); ?>">Layout</label>
            <select class="widefat"
                    id="<?php echo $this->get_field_id('formulario'); ?>"
                    name="<?php echo $this->get_field_name('formulario'); ?>"
            >
                <?php foreach ($arrFormularios as $id => $formulario): ?>

                    <option value="<?= $id; ?>" <?php echo ($formulario_id == $id) ? 'selected' : ''; ?>>
                        <?= $formulario; ?>
                    </option>

                <?php endforeach; ?>
            </select>
        </p>

        <p>
            <label for="<?php echo $this->get_field_id('layout'); ?>">Layout</label>
            <select class="widefat"
                    id="<?php echo $this->get_field_id('layout'); ?>"
                    name="<?php echo $this->get_field_name('layout'); ?>"
            >
                <option value="sidebar" <?= ($layout == 'sidebar') ? 'selected' : ''; ?>>Sidebar
                </option>
                <option value="row" <?= ($layout == 'row') ? 'selected' : ''; ?>>Row
                </option>
            </select>
        </p>


        <?php
    }

    public function update($new_instance, $old_instance)
    {
        $instance = $old_instance;
        $instance['title'] = strip_tags($new_instance['title']);
        $instance['formulario'] = strip_tags($new_instance['formulario']);
        $instance['layout'] = strip_tags($new_instance['layout']);
        $instance['icone'] = strip_tags($new_instance['icone']);

        return $instance;
    }

    public function buscarFormularios($form_id = null)
    {


        $args = array(
            'post_type' => 'wpcf7_contact_form',
            'post_status' => 'publish'
        );


        $query = new WP_Query($args);
        if ($query->have_posts()) {
            while ($query->have_posts()) {
                $query->the_post();
                $arrDados[get_the_ID()] = get_the_title();
            }

        }

        return $arrDados;
    }
}