<?php

class alt_veiculos_mais_recentes extends WP_Widget
{

    function __construct()
    {
        parent::__construct(

        // Base ID of your widget
            'alt_veiculos_mais_recentes',

            // Widget name will appear in UI
            'Altimus - Veículos mais recentes',

            // Widget description
            array(
                'description' => __('Filtro lateral', 'Filiais'),
            )
        );
    }

    public function widget($args, $instance)
    {
        $title = apply_filters('widget_title', $instance['title']);
        $number_of_posts = (!empty($instance['number_of_posts'])) ? $instance['number_of_posts'] : 5;

        if (empty($number_of_posts)) {
            $number_of_posts = 5;
        }

        $r = new WP_Query(apply_filters('widget_posts_args', array(
            'posts_per_page' => $number_of_posts,
            'no_found_rows' => true,
            'post_type' => 'veiculos',
            'post_status' => 'publish',
            'ignore_sticky_posts' => true
        )));

        if ($r->have_posts()) :
            ?>
            <div class="sidebar_widget" id="xfilter_form">


                <div class="widget_heading">
                    <h6><i class="fa fa-car" aria-hidden="true"></i> <?= $title ?> </h6>
                </div>

                <div class="recent_addedcars">
                    <ul>
                        <?php while ($r->have_posts()) : $r->the_post(); ?>
                            <li class="gray-bg">
                                <div class="recent_post_img">
                                    <a href="<?php the_permalink(); ?>">

                                        <?= get_alt_imagem_veiculo(get_the_ID(), 'alt_imagem_widget', ['class' => 'img-responsive']) ?>


                                    </a>
                                </div>
                                <div class="recent_post_title wid_get_veiculos_recentes">
                                    <a href="<?php the_permalink(); ?>">

                                        <?php
                                        $objMarca = get_the_terms(get_the_ID(), 'marca');
                                        $marca = $objMarca[0]->name;

                                        $objModelo = get_the_terms(get_the_ID(), 'modelo');
                                        $modelo = $objModelo[0]->name;
                                        ?>
                                        <small><strong><?=$marca?></strong> - <?=$modelo?></small>

                                    </a>
                                    <p class="widget_price">
                                        <?php echo get_preco_veiculo(get_the_ID()); ?>

                                    </p>
                                </div>
                            </li>
                        <?php endwhile; ?>
                    </ul>
                </div>


            </div>
            <?php
            wp_reset_postdata();

        endif;


    }

    public function form($instance)
    {
        $title = isset($instance['title']) ? esc_attr($instance['title']) : '';
        $number_of_posts = isset($instance['number_of_posts']) ? esc_attr($instance['number_of_posts']) : '';
        $show_date = isset($instance['show_date']) ? (bool)$instance['show_date'] : false;

        ?>
        <p>
            <label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:'); ?></label>
            <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>"
                   name="<?php echo $this->get_field_name('title'); ?>" type="text"
                   value="<?php echo esc_attr($title); ?>"/>
        </p>

        <p>
            <label for="<?php echo $this->get_field_id('number_of_posts'); ?>"><?php esc_html_e('Number of posts:', 'motors'); ?></label>
            <input class="widefat" id="<?php echo $this->get_field_id('number_of_posts'); ?>"
                   name="<?php echo $this->get_field_name('number_of_posts'); ?>" type="number"
                   value="<?php echo $number_of_posts; ?>"/>
        </p>
        <?php
    }


    public function update($new_instance, $old_instance)
    {
        $instance = $old_instance;
        $instance['title'] = strip_tags($new_instance['title']);
        $instance['number_of_posts'] = strip_tags($new_instance['number_of_posts']);

        return $instance;

    }
}
