<?php

class alt_whatsapp extends WP_Widget
{
    function __construct()
    {
        parent::__construct(

        // Base ID of your widget
            'alt_whatsapp',

            // Widget name will appear in UI
            __('Altimus - WhatsApp', 'alt_whatsapp'),

            // Widget description
            array(
                'description' => 'Whatsapp',
            )
        );


    }

    public function widget($args, $instance)
    {
        global $wp;

        $titulo = $instance['titulo'] ?? '';
        $telefone = $instance['telefone'] ?? '';
        $mensagem = $instance['mensagem'] ?? '';
        $modal_whatsapp = $instance['modal_whatsapp'] ?? '';

        if (!isset($veiculo_wp['id'])) {
            $current_url = home_url(add_query_arg(array(), $wp->request));
        }
        $mensagem .= ' *' . $current_url . '*';
        ?>

        <?php if ($modal_whatsapp == 'sim'): ?>
        <!-- Button trigger modal -->
        <button type="button" class="btn whats-btn" data-toggle="modal" data-target="#modal_whatsapp_contato">
            <span><?= $titulo ?>&nbsp;</span><i class="fab fa-whatsapp"
                                                aria-hidden="true"></i>
        </button>
        <div class="modal fade" id="modal_whatsapp_contato" tabindex="-1" role="dialog" aria-labelledby="modelTitleId"
             aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="whatsapp_modal-content">
                    <div class="whatsapp_modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="whatsapp_modal-body">
                        Clique no botão abaixo para falar pelo Whatsapp
                    </div>
                    <div class="whatsapp_modal-footer">
                        <a href="https://wa.me/<?= $telefone; ?>?text=<?= $mensagem; ?>" target="_blank"
                           class="whats-btn">
                            <span><?= $titulo ?>&nbsp;</span>
                            <i class="fab fa-whatsapp" aria-hidden="true"></i>
                        </a>


                        <br/>


                        <a href="#" class="close_whatsapp_modal btn btn-small mt-5" data-dismiss="modal"
                           aria-label="Close">Sair</a>

                    </div>
                </div>
            </div>
        </div>
    <?php else: ?>
        <a href="https://wa.me/<?= $telefone; ?>?text=<?= $mensagem; ?>" target="_blank"
           class="btn whats-btn">
            <span><?= $titulo ?>&nbsp;</span>
            <i class="fab fa-whatsapp" aria-hidden="true"></i>
        </a>
    <?php endif; ?>

        <script>
            jQuery(document).ready(function ($) {

                $('#modal_whatsapp_contato').on('shown.bs.modal', function (e) {
                    //$('.modal-backdrop.in').css("filter", "blur(5px)");
                });

                $('#modal_whatsapp_contato').on('hidden.bs.modal', function () {
                    //$('.modal-backdrop.in').css("filter", "blur(0px)");
                });
            });
        </script>
        <style>


        </style>
        <?php

    }

    public function form($instance)
    {
        $titulo = isset($instance['titulo']) ? esc_attr($instance['titulo']) : '';
        $mensagem = isset($instance['mensagem']) ? esc_attr($instance['mensagem']) : '';
        $telefone = isset($instance['telefone']) ? esc_attr($instance['telefone']) : '';
        $modal_whatsapp = isset($instance['modal_whatsapp']) ? esc_attr($instance['modal_whatsapp']) : 'nao';

        ?>

        <p>
            <label for="<?php echo $this->get_field_id('titulo'); ?>">
                <?php _e('Titulo'); ?>
            </label>
            <input class="widefat" id="<?php echo $this->get_field_id('titulo'); ?>"
                   name="<?php echo $this->get_field_name('titulo'); ?>"
                   value="<?php echo esc_attr($titulo); ?>"
                   type="text"
            />
        </p>

        <p>
            <label for="<?php echo $this->get_field_id('mensagem'); ?>">
                <?php _e('Mensagem'); ?>
            </label>
            <input class="widefat" id="<?php echo $this->get_field_id('mensagem'); ?>"
                   name="<?php echo $this->get_field_name('mensagem'); ?>"
                   value="<?php echo esc_attr($mensagem); ?>"
                   type="text"
            />
        </p>

        <p>
            <label for="<?php echo $this->get_field_id('telefone'); ?>">
                <?php _e('Telefone'); ?> (ex: 5547997466287)
            </label>
            <input class="widefat" id="<?php echo $this->get_field_id('telefone'); ?>"
                   name="<?php echo $this->get_field_name('telefone'); ?>"
                   value="<?php echo esc_attr($telefone); ?>"
                   type="text"
            />
        </p>


        <p>
            <label for="<?php echo $this->get_field_id('modal_whatsapp'); ?>">Exibir Modal</label>
            <select class="widefat"
                    id="<?php echo $this->get_field_id('modal_whatsapp'); ?>"
                    name="<?php echo $this->get_field_name('modal_whatsapp'); ?>"
            >


                <option value="sim" <?php echo ($modal_whatsapp == 'sim') ? 'selected' : ''; ?>>
                    Sim
                </option>

                <option value="nao" <?php echo ($modal_whatsapp == 'nao') ? 'selected' : ''; ?>>
                    Não
                </option>


            </select>
        </p>

        <?php

    }

    public function update($new_instance, $old_instance)
    {
        $instance = $old_instance;
        $instance['titulo'] = strip_tags($new_instance['titulo']);
        $instance['mensagem'] = strip_tags($new_instance['mensagem']);
        $instance['telefone'] = strip_tags($new_instance['telefone']);
        $instance['modal_whatsapp'] = strip_tags($new_instance['modal_whatsapp']);

        return $instance;

    }
}
