<?php if (get_mostrar_ultimas_noticias()): ?>

    <?php

    $arr = [
        'post_type' => 'post',
        'posts_per_page' => 3
    ];
    $feature = new WP_Query($arr);

    if ($feature->have_posts()):?>

        <!--Blog -->
        <section class="section-padding">
            <div class="container">
                <div class="section-header text-center">
                    <h2>Últimas notícias <span> sobre o mercado automobilístico</span></h2>
                    <p>Mantenha-se informado sobre as novidades, receba dicas, e saiba tudo o que você precisa saber
                        para
                        comprar um carro novo, usado
                        ou financiamento de um novo veículo. Acompanhe nosso Blog, veja as últimas notícias.</p>
                </div>
                <div class="row">

                    <?php while ($feature->have_posts()): $feature->the_post(); ?>


                        <div class="col-md-4 col-sm-4">
                            <article class="blog-list">
                                <div class="blog-info-box">
                                    <div class="background_news" style="background-color: black;">
                                        <div class="share_article">
                                            <p><i class="fa fa-share-alt" aria-hidden="true"></i></p>
                                            <ul>
                                                <li>
                                                    <info href="<?= alt_get_link_compartilhar(get_the_ID(), 'facebook'); ?>"
                                                       rel="nofollow" onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=600,width=600');return false;"
                                                    >
                                                        <i class="fab fa-facebook" aria-hidden="true"></i>
                                                    </info>
                                                </li>
                                                <li>
                                                    <info href="<?= alt_get_link_compartilhar(get_the_ID(), 'twitter'); ?>"
                                                       rel="nofollow" onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=600,width=600');return false;"
                                                    >
                                                        <i class="fab fa-twitter" aria-hidden="true"></i>
                                                    </info>
                                                </li>
                                                <li>
                                                    <info href="<?= alt_get_link_compartilhar(get_the_ID(), 'linkedin'); ?>"
                                                       rel="nofollow" onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=600,width=600');return false;"
                                                    >
                                                        <i class="fab fa-linkedin" aria-hidden="true"></i>
                                                    </info>
                                                </li>
                                                <li>
                                                    <info href="<?= alt_get_link_compartilhar(get_the_ID(), 'whatsapp'); ?>"
                                                       nofollow
                                                       rel="nofollow" onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=600,width=600');return false;"
                                                    >
                                                        <i class="fab fa-whatsapp" aria-hidden="true"></i>
                                                    </info>
                                                </li>
                                            </ul>
                                        </div>
                                        <a href="<?= the_permalink(); ?>">

                                            <?php if (has_post_thumbnail()): ?>
                                                <?php the_post_thumbnail('full', ['class' => 'img-responsive','alt'=>'Foto da notícia']); ?>
                                            <?php else: ?>
                                                <img src="<?php echo get_template_directory_uri() ?>/assets/images/600x380.jpg"
                                                     class="img-responsive"
                                                     alt="image padrao de notícia"/>

                                            <?php endif; ?>


                                        </a>
                                        <ul>
                                            <li>
                                                <a href="<?= the_permalink(); ?>">
                                                    <i class="fa fa-tags"
                                                       aria-hidden="true"></i>
                                                    <?php
                                                    $categories = get_the_category();

                                                    if (!empty($categories)) {
                                                        echo esc_html($categories[0]->name);
                                                    }
                                                    ?>
                                                </a>
                                            </li>
                                            <li>
                                                <i class="fa fa-calendar" aria-hidden="true"></i>
                                                <?= get_the_date('d/m/Y') ?>
                                            </li>
                                            <li>
                                                <a href="<?= the_permalink(); ?>">
                                                    <i class="fa fa-comment-o" aria-hidden="true"></i>
                                                    <?= get_comments_number() ?> Comentários
                                                </a>
                                            </li>
                                        </ul>
                                    </div>
                                </div>

                                <div class="blog-content">
                                    <h2 class="title_box_noticias">

                                        <a href="<?= the_permalink(); ?>">
                                            <?= the_title() ?>
                                        </a>
                                    </h2>
                                    <p>
                                        <?= the_excerpt(); ?>
                                    </p>
                                    <a href="<?= the_permalink(); ?>" class="btn-link">
                                        Saiba mais
                                        <i class="fa fa-long-arrow-right" aria-hidden="true"></i>
                                    </a>
                                </div>
                            </article>
                        </div>

                    <?php endwhile; ?>

                </div>
            </div>
        </section>

    <?php endif; ?>
    <!-- /Blog-->
<?php endif; ?>
