<?php
$filiais = alt_get_filiais();
?>
<style>
    .icon_wrap .fa, .icon_wrap .fas, .icon_wrap .far, .icon_wrap .fab {
        background: #fff 0 0;
        border: 1px solid #e6e5e5;
        border-radius: 50%;
        color: #555;
        display: inline-block;
        font-size: 22px;
        height: 44px;
        line-height: 44px;
        margin-right: 15px;
        text-align: center;
        vertical-align: middle;
        width: 44px;
    }
</style>

<!--Contact-us-->
<section class="contact_us section-padding">
    <div class="container">

        <?php foreach ($filiais as $filial): ?>
            <div class="row">
                <div class="col-md-6">
                    <h3>
                        <?= $filial['nome']; ?>
                    </h3>
                    <div class="contact_detail">
                        <ul>
                            <?php if (!empty($filial['endereco_completo'])): ?>
                                <li>
                                    <div class="icon_wrap"><i class="fa fa-map-marker" aria-hidden="true"></i></div>
                                    <div class="contact_info_m">
                                        <?= $filial['endereco_completo']; ?>
                                    </div>
                                </li>
                            <?php endif; ?>
                            <?php if (!empty($filial['telefone'])): ?>
                                <li>
                                    <div class="icon_wrap"><i class="fa fa-phone" aria-hidden="true"></i></div>
                                    <div class="contact_info_m">
                                        <a href="<?= $filial['url_telefone']; ?>">
                                            <?= $filial['telefone']; ?>
                                        </a>
                                    </div>
                                </li>
                            <?php endif; ?>
                            <?php if (!empty($filial['email'])): ?>
                                <li>
                                    <div class="icon_wrap">
                                        <i class="fa fa-envelope" aria-hidden="true"></i>
                                    </div>
                                    <div class="contact_info_m">
                                        <a href="<?= $filial['url_email']; ?>">
                                            <?= $filial['email']; ?>
                                        </a>
                                    </div>
                                </li>
                            <?php endif; ?>

                            <?php if (!empty($filial['whatsapp'])): ?>
                                <li>
                                    <div class="icon_wrap">
                                        <i class="fab fa-whatsapp fa-2x" aria-hidden="true"></i>
                                    </div>
                                    <div class="contact_info_m">
                                        <a href="<?= $filial['url_whatsapp']; ?>">
                                            <?= $filial['whatsapp']; ?>
                                        </a>
                                    </div>
                                </li>
                            <?php endif; ?>

                            <?php if (!empty($filial['horarios'])): ?>
                                <li>
                                    <div class="icon_wrap">
                                        <i class="fas fa-clock"></i>
                                    </div>
                                    <div class="contact_info_m">
                                        <u><strong>
                                                Horário de funcionamento
                                            </strong>
                                        </u>
                                        <br/>
                                        <?= nl2br($filial['horarios']); ?>
                                    </div>
                                </li>
                            <?php endif; ?>
                        </ul>

                    </div>
                </div>
                <?php if (!empty($filial['script_mapa'])): ?>
                    <div class="col-md-6">
                        <div class="map_wrap">
                            <?= html_entity_decode($filial['script_mapa']); ?>
                        </div>
                        <div class="text-center">
                            <a href="<?= $filial['url_mapa']; ?>" class="btn btn-sm btn-primary">
                                Ir para loja
                            </a>
                        </div>
                    </div>
                <?php endif; ?>
            </div>
        <?php endforeach; ?>


        <div class="row mt-5">
            <div class="col-md-12">
                <?php
                the_content()
                ?>
            </div>
        </div>
    </div>


</section>
