<?php
if (!defined('ABSPATH')) {
    exit;
}

$total_encontrado = $args['paginacao']['total_results'];

?>
<style>
    .view_block {
        float: right;
        margin-right: 20px;
    }

    .view_block p {
        display: inline-block;
    }

    .view_block p {
        margin: 0 auto;
        color: #222;
    }
</style>
<script>
    (function ($) {
        'use strict';
        $(function (e) {

            $('#input_ordenacao').on('change', function (ele) {
                let order = $('#input_ordenacao').val();
                insertParam2('orderby', order);

            })

            $('.btn_view').on('click', function (event) {
                let tipo = event.currentTarget.dataset.tipo;
                insertParam2('view', tipo)
            });


            function insertParam2(key, value) {
                key = encodeURIComponent(key);
                value = encodeURIComponent(value);

                // kvp looks like ['key1=value1', 'key2=value2', ...]
                var kvp = document.location.search.substr(1).split('&');
                let i = 0;

                for (; i < kvp.length; i++) {
                    if (kvp[i].startsWith(key + '=')) {
                        let pair = kvp[i].split('=');
                        pair[1] = value;
                        kvp[i] = pair.join('=');
                        break;
                    }
                }

                if (i >= kvp.length) {
                    kvp[kvp.length] = [key, value].join('=');
                }

                // can return this or...
                let params = kvp.join('&');

                // reload page with new params
                document.location.search = params;
            }


        });


    })(jQuery);

</script>

<div class="row">
    <div class="result-sorting-wrapper">


        <div class="sorting-count">
            <p><span><?= $total_encontrado ?> veículos encontrados.</span></p>
        </div>




        <div class="result-sorting-by">
            <p>Exibir:</p>

            <?php
            $ordenacao_atual = $_GET['orderby'] ?? get_ordenacao_padrao();
            ?>

            <form class="woocommerce-ordering" method="get">
                <div class="form-group select sorting-select">
                    <select name="orderby" class="form-control select_filtro_textual pl-1" id="input_ordenacao">
                        <option value="mais_recentes" <?= $ordenacao_atual == 'mais_recentes' ? 'selected' : '' ?>>
                            Ordenar por: Mais recentes
                        </option>
                        <option value="order_destaque_desc" <?= $ordenacao_atual == 'order_destaque_desc' ? 'selected' : '' ?>
                        >
                            Ordenar por popularidade
                        </option>
                        <option value="order_preco_desc" <?= $ordenacao_atual == 'order_preco_desc' ? 'selected' : '' ?>>
                            Ordenar por preço: Maior para o menor
                        </option>
                        <option value="order_preco_asc" <?= $ordenacao_atual == 'order_preco_asc' ? 'selected' : '' ?>>
                            Ordenar por preço: Menor para o maior
                        </option>
                        <option value="order_ano_desc" <?= $ordenacao_atual == 'order_ano_desc' ? 'selected' : '' ?>>
                            Ordenar por ano: Maior para o menor
                        </option>
                        <option value="order_ano_asc" <?= $ordenacao_atual == 'order_ano_asc' ? 'selected' : '' ?>>
                            Ordenar por ano: Menor para o maior
                        </option>
                    </select>

                </div>
            </form>
        </div>


        <div class="view_block hidden-xs">
            <button class="btn_view" data-tipo="lista"><i class="fa fa-list"></i></button>
            <button class="btn_view" data-tipo="block"><i class="fas fa-th"></i></button>

        </div>

    </div>
</div>
