<?php
global $post;

$arrImagens = alt_get_caracteristicas($post->ID, 'alt_imagens');
$formularios = get_formulario_dinamicos();
$acessorios = alt_get_caracteristicas($post->ID, 'alt_acessorios');

$imagens_s3 = alt_get_caracteristicas($post->ID, 'imagem_destaque');
?>


<?php
if (is_active_sidebar('sidebar_sessao_4')) {
    dynamic_sidebar('sidebar_sessao_4');
}
?>

<div <?php post_class(['modelo_2'], get_the_ID()); ?> id="product-<?php the_ID(); ?> exibir_veiculo">
    <section id="listing_img_slider" class="owl-carousel owl-theme">
        <?php
        $youtube = alt_get_video($post->ID);

        if (!empty($youtube)) : ?>
            <div class="item">
                <div class='image-link'>
                    <?php echo $youtube; ?>
                </div>
            </div>
        <?php endif; ?>
        <?php foreach ($arrImagens as $attachment_id => $url_image) : ?>
            <?php if ($imagens_s3) : ?>
                <div class="item">
                    <a class='image-link' href="<?= $url_image ?>">
                        <?= wp_get_attachment_image($attachment_id, 'large', null, ['class' => 'img-responsive', 'alt' => $post->post_title]) ?>
                    </a>
                </div>
            <?php else : ?>
                <div class="item">
                    <a class='image-link' href="<?= $url_image ?>">
                        <?= wp_get_attachment_image($attachment_id, 'large', null, ['class' => 'img-responsive', 'alt' => $post->post_title]) ?>
                    </a>
                </div>
            <?php endif; ?>


        <?php endforeach; ?>

        <?php if (empty($arrImagens)) : ?>



            <div class="item">
                <a class='image-link' href="<?= get_alt_url_placeholder_imagem('full', []) ?>">
                    <?php
                    echo get_alt_placeholder_imagem('medium_large', []);
                    ?>
                </a>
            </div>
        <?php endif; ?>

    </section>


    <section class="listing_other_info secondary-bg">
        <div class="container">


            <?php if (!empty($formularios)) : ?>
                <div id="info_toggle">
                    <?php foreach ($formularios as $id => $formulario) : ?>

                        <button type="button" data-toggle="modal" data-target="#modal<?= ($id) ?>_formulario">
                            <i class="<?= ($formulario['icone_modal']) ?>" aria-hidden="true"></i>
                            <?= ($formulario['titulo']) ?>
                        </button>


                        <div class="modal fade" id="modal<?= ($id) ?>_formulario">
                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                        <h3 class="modal-title"><?= ($formulario['titulo']) ?></h3>
                                    </div>
                                    <div class="modal-body">
                                        <?= do_shortcode('[contact-form-7 id="' . $formulario['tipo'] . '"]'); ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    <?php endforeach; ?>
                </div>
            <?php endif; ?>
            <a href="<?= alt_get_url_estoque() ?>" class="search_other">
                <i class="fa fa-car" aria-hidden="true"></i> Outras ofertas
            </a>
        </div>
    </section>

    <section class="listing-detail">
        <div class="container">
            <div class="sidebar1">
                <?php
                if (is_active_sidebar('sidebar_sessao_1')) {
                    dynamic_sidebar('sidebar_sessao_1');
                }
                ?>
            </div>
            <div class="listing_detail_head row">
                <div class="col-md-9">
                    <h1 style="font-size: 40px;">
                        <?= get_titulo_produto($post->ID, true) ?>
                    </h1>
                    <div class="car-location">
                        <span><?php //woocommerce_breadcrumb($args); 
                                ?></span>
                    </div>


                </div>
                <div class="col-md-3">
                    <div class="price_info">
                        <p><?= get_preco_veiculo($post->ID); ?></p>
                        <?= alt_get_if_repasse($post->ID) ?>
                        <?= alt_get_tags($post->ID); ?>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-9">
                    <div class="main_features">
                        <ul>
                            <?php $arrItens = getCaracteristasSessionDetalhes(); ?>

                            <?php if ($arrItens === false || in_array('alt_kilometragem', $arrItens)) : ?>
                                <li><i class="fas fa-tachometer-alt" aria-hidden="true"></i>
                                    <h5>
                                        <?php

                                        $km = alt_get_caracteristicas($post->ID, 'alt_kilometragem');
                                        echo $km;
                                        ?>
                                    </h5>
                                    <p>KM</p>
                                </li>
                            <?php endif; ?>

                            <?php if ($arrItens === false || in_array('alt_ano_mod', $arrItens)) : ?>
                                <li><i class="far fa-calendar-alt" aria-hidden="true"></i>
                                    <h5>
                                        <?= alt_get_caracteristicas($post->ID, 'alt_ano_mod'); ?>
                                    </h5>
                                    <p>Ano/Modelo</p>
                                </li>
                            <?php endif; ?>

                            <?php if ($arrItens === false || in_array('alt_combustivel', $arrItens)) : ?>
                                <li><i class="fas fa-gas-pump" aria-hidden="true"></i>
                                    <h5><?= alt_get_caracteristicas($post->ID, 'alt_combustivel'); ?></h5>
                                    <p>Combustível</p>
                                </li>
                            <?php endif; ?>

                            <?php if ($arrItens === false || in_array('alt_cambio', $arrItens)) : ?>
                                <li><i class="fa fa-power-off" aria-hidden="true"></i>
                                    <h5><?= alt_get_caracteristicas($post->ID, 'alt_cambio'); ?></h5>
                                    <p>Câmbio</p>
                                </li>
                            <?php endif; ?>

                            <?php if ($arrItens === false || in_array('alt_cor', $arrItens)) : ?>
                                <li><i class="fas fa-brush" aria-hidden="true"></i>
                                    <h5><?= alt_get_caracteristicas($post->ID, 'alt_cor'); ?></h5>
                                    <p>Cor</p>
                                </li>
                            <?php endif; ?>

                            <?php if ($arrItens === false || in_array('alt_placa', $arrItens)) : ?>
                                <li><i class="fas fa-list" aria-hidden="true"></i>
                                    <h5><?= alt_get_caracteristicas($post->ID, 'alt_placa'); ?></h5>
                                    <p>Placa</p>
                                </li>
                            <?php endif; ?>

                            <?php if ($arrItens !== false) : ?>

                                <?php if (in_array('alt_portas', $arrItens)) : ?>
                                    <li><i class="icon-portas" aria-hidden="true"></i>
                                        <h5><?= alt_get_caracteristicas($post->ID, 'alt_portas'); ?></h5>
                                        <p>Portas</p>
                                    </li>
                                <?php endif; ?>

                                <?php if (in_array('alt_marca', $arrItens)) : ?>
                                    <li><i class="fas fa-tags" aria-hidden="true"></i>
                                        <h5><?= alt_get_marca_modelo_tipo($post->ID, 'marca'); ?></h5>
                                        <p>Marca</p>
                                    </li>
                                <?php endif; ?>

                                <?php if (in_array('alt_modelo', $arrItens)) : ?>
                                    <li><i class="fas fa-car" aria-hidden="true"></i>
                                        <h5><?= alt_get_marca_modelo_tipo($post->ID, 'modelo'); ?></h5>
                                        <p>Modelo</p>
                                    </li>
                                <?php endif; ?>

                                <?php if (in_array('alt_ano_fab', $arrItens)) : ?>
                                    <li><i class="far fa-calendar-check" aria-hidden="true"></i>
                                        <h5><?= alt_get_caracteristicas($post->ID, 'alt_ano_fab'); ?></h5>
                                        <p>Ano de Fabricação</p>
                                    </li>
                                <?php endif; ?>
                            <?php endif; ?>
                        </ul>
                    </div>
                    <div class="listing_more_info">
                        <div class="listing_detail_wrap">
                            <!-- Nav tabs -->
                            <ul class="nav nav-tabs gray-bg" role="tablist">
                                <li role="presentation" class="active">
                                    <a href="#acessorios" aria-controls="acessorios" role="tab" id="descritivo_click_opcionais" data-toggle="tab">Acessórios</a>
                                </li>
                                <li role="presentation">
                                    <a href="#informacoes-sobre-veiculo " aria-controls="informacoes-sobre-veiculo" role="tab" id="descritivo_click_descricao" data-toggle="tab">Informações sobre o
                                        veículo </a>
                                </li>

                            </ul>

                            <!-- Tab panes -->
                            <div class="tab-content no-padding">


                                <!-- Accessories -->
                                <div role="tabpanel" class="tab-pane active" id="acessorios">


                                    <div class="row">
                                        <?php if (is_array($acessorios)) : ?>

                                            <?php foreach ($acessorios as $acessorio) : ?>
                                                <div class="col-md-4 mt-4">
                                                    <i class="fa fa-check" aria-hidden="true"></i>
                                                    <?= $acessorio['descricao'] ?>
                                                </div>
                                            <?php endforeach; ?>

                                        <?php endif; ?>
                                    </div>
                                </div>

                                <!-- informacoes-sobre-veiculo -->
                                <div role="tabpanel" class="tab-pane " id="informacoes-sobre-veiculo">
                                    <h4>Informações:</h4>
                                    <?= the_content() ?>
                                </div>

                            </div>
                        </div>
                        <?php if (!empty($youtube_param)) : ?>
                            <!--Vehicle-Video-->
                            <div class="video_veiculo">
                                <h6>Assista ao vídeo</h6>
                                <div class="video-box">


                                    <?= $youtube_param; ?>

                                </div>
                            </div>

                        <?php endif; ?>


                        <?php
                        if (is_active_sidebar('sidebar_sessao_2')) {
                            dynamic_sidebar('sidebar_sessao_2');
                        }
                        ?>

                    </div>

                </div>

                <!--Side-Bar-->
                <aside class="col-md-3">

                    <?php
                    if (is_active_sidebar('sidebar_formulario_contato')) {
                        dynamic_sidebar('sidebar_formulario_contato');
                    } else {
                        the_widget('alt_formulario_lead');
                    }
                    ?>

                </aside>
                <!--/Side-Bar-->
            </div>

            <div class="space-20">

            </div>
            <div class="divider">

            </div>

            <!--Similar-Cars-->
            <div class="similar_cars">
                <div class="row">
                    <?= woocommerce_veiculos_similares($post, 3) ?>
                </div>
            </div>
            <!--/Similar-Cars-->

            <?php
            if (is_active_sidebar('sidebar_sessao_3')) {
                dynamic_sidebar('sidebar_sessao_3');
            }
            ?>

        </div>
    </section>
</div>